JmxEventEmitter (Groovy 5.0.8)

Package: groovy.jmx.builder

## [Java] Class JmxEventEmitter

- groovy.jmx.builder.JmxEventEmitter

- All Implemented Interfaces and Traits:
    JmxEventEmitterMBean

      public class JmxEventEmitter
      extends NotificationBroadcasterSupport
      implements JmxEventEmitterMBean

  The JmxEventEmitter is a JMX Broadcaster class that is used to send generic events on the MBeanServer's event bus. It is used by the Emitter node () to send event to registered listeners.

       def jmx = JmxBuilder()
       jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
       ...
       jmx.emitter.send(object)

  See Also:
    JmxEmitterFactory

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getEvent()` Event type getter
    `` | `public String` | `getMessage()` Event message getter
    `` | `public long` | `send(Object data)` Called to broadcast message on MBeanServer event bus.
    `` | `public void` | `setEvent(String event)` Event type setter
    `` | `public void` | `setMessage(String message)` Event message setter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NotificationBroadcasterSupport` | `addNotificationListener, equals, getClass, getNotificationInfo, hashCode, notify, notifyAll, removeNotificationListener, removeNotificationListener, sendNotification, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public String getEvent()

      Event type getter

      Returns:
        - returns event type string thrown by this emitter

    - #### public String getMessage()

      Event message getter

      Returns:
        - message that is associated with event.

    - #### @Override
      public long send(Object data)

      Called to broadcast message on MBeanServer event bus. Internally, it calls NotificationBroadCasterSupport.sendNotification() method to dispatch the event.

      Parameters:
        `data` - - a data object sent as part of the event parameter.
      Returns:
        a sequence number associated with the emitted event.

    - #### @Override
      public void setEvent(String event)

      Event type setter

      Parameters:
        `event` - - event type set for this emitter.

    - #### public void setMessage(String message)

      Event message setter.

      Parameters:
        `message` - - message that is associated with event emitted.